local wezterm = require 'wezterm'
local config = {}

config.font = wezterm.font 'IosevkaTermSlab Nerd Font Mono'
config.font_size = 11.0

config.cursor_blink_rate = 800

config.colors = {
    background = '#101010',
    foreground = '#BBBBBB',

    cursor_bg = '#22785E',
    cursor_fg = '#000000',

    selection_fg = '#D3D7CF',
    selection_bg = '#262626',
}

config.color_scheme = 'Molokai'

config.window_decorations = "NONE"
config.window_frame = {
    inactive_titlebar_bg = '#2d2d2d',
    active_titlebar_bg = '#232323',
}

config.keys = {
  { key = 'h', mods = 'CTRL',
    action = wezterm.action.SplitHorizontal { domain = 'CurrentPaneDomain' },
  },
  { key = 'v', mods = 'CTRL',
    action = wezterm.action.SplitVertical { domain = 'CurrentPaneDomain' },
  },
  { key = 'w', mods = 'CTRL',
    action = wezterm.action.CloseCurrentPane { confirm = true },
  },
}

return config
